ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.34 by root, Sun Aug 15 04:42:45 2004 UTC vs.
Revision 1.43 by root, Mon Dec 20 16:47:14 2004 UTC

465#endif 465#endif
466#if HAVE_UNISTD_H 466#if HAVE_UNISTD_H
467# include <unistd.h> 467# include <unistd.h>
468#endif" 468#endif"
469 469
470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
471ac_subst_files='MCOMMON' 471ac_subst_files='MCOMMON'
472 472
473# Initialize some variables set by options. 473# Initialize some variables set by options.
474ac_init_help= 474ac_init_help=
475ac_init_version=false 475ac_init_version=false
1031 NOTE: this option is order dependent 1031 NOTE: this option is order dependent
1032 NOTE: automatically enabled with --enable-shared 1032 NOTE: automatically enabled with --enable-shared
1033 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1033 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1034 --enable-combining enable composition of base and combining characters 1034 --enable-combining enable composition of base and combining characters
1035 --enable-xft enable xft support on systems that have it 1035 --enable-xft enable xft support on systems that have it
1036 --enable-font-styles enable bold and italic support
1036 --enable-utmp enable utmp (utmpx) support 1037 --enable-utmp enable utmp (utmpx) support
1037 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp) 1038 --enable-wtmp enable wtmp (wtmpx) support (requires --enable-utmp)
1038 --enable-lastlog enable lastlog support (requires --enable-utmp) 1039 --enable-lastlog enable lastlog support (requires --enable-utmp)
1039 --enable-xpm-background enable XPM background pixmaps 1040 --enable-xpm-background enable XPM background pixmaps
1040 --enable-transparency enable transparent backgrounds 1041 --enable-transparency enable transparent backgrounds
1066 --enable-slipwheeling enable slip wheel scrolling (requires previous) 1067 --enable-slipwheeling enable slip wheel scrolling (requires previous)
1067 --enable-dmalloc enable Gray Watson's malloc - for debugging use 1068 --enable-dmalloc enable Gray Watson's malloc - for debugging use
1068 --enable-dlmalloc enable Doug Lea's malloc - for production use 1069 --enable-dlmalloc enable Doug Lea's malloc - for production use
1069 NOTE: enable only one malloc package 1070 NOTE: enable only one malloc package
1070 --enable-smart-resize enable smart growth/shrink behaviour 1071 --enable-smart-resize enable smart growth/shrink behaviour
1071 --enable-256-color enable 256-color support
1072 --enable-cursor-blink enable blinking cursor 1072 --enable-cursor-blink enable blinking cursor
1073 --enable-text-blink enable blinking text 1073 --enable-text-blink enable blinking text
1074 --enable-pointer-blank enable pointer blank when typing or inactive pointer 1074 --enable-pointer-blank enable pointer blank when typing or inactive pointer
1075 1075
1076Optional Packages: 1076Optional Packages:
1077 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1077 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1078 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1078 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1079 --with-gnu-ld assume the C compiler uses GNU ld default=no 1079 --with-gnu-ld assume the C compiler uses GNU ld default=no
1080 --with-pic try to use only PIC/non-PIC objects default=use both 1080 --with-pic try to use only PIC/non-PIC objects default=use both
1081 --with-codesets=NAME,.. compile in additional codesets (jp,jp_ext,kr,cn,cn_ext,all) 1081 --with-codesets=NAME,.. compile in additional codesets (jp,jp_ext,kr,zh,zh_ext,all)
1082 --with-res-name=NAME use this as default resource name (default: urxvt) 1082 --with-res-name=NAME use this as default resource name (default: urxvt)
1083 --with-res-class=CLASS use this as the resource class (default: URxvt) 1083 --with-res-class=CLASS use this as the resource class (default: URxvt)
1084 --with-name=NAME set the basename for the installed binaries (default: urxvt) 1084 --with-name=NAME set the basename for the installed binaries (default: urxvt)
1085 --with-term=NAME set the terminal to NAME (default: rxvt) 1085 --with-term=NAME set the terminal to NAME (default: rxvt)
1086 --with-terminfo=PATH set the path to the terminfo tree to PATH 1086 --with-terminfo=PATH set the path to the terminfo tree to PATH
3282 3282
3283fi 3283fi
3284LINKER=$LINKER 3284LINKER=$LINKER
3285 3285
3286 3286
3287CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE" 3287CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE=2"
3288 3288
3289 3289
3290ac_ext=cc 3290ac_ext=cc
3291ac_cpp='$CXXCPP $CPPFLAGS' 3291ac_cpp='$CXXCPP $CPPFLAGS'
3292ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3292ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8260support_xft=no 8260support_xft=no
8261support_unicode3=no 8261support_unicode3=no
8262support_combining=no 8262support_combining=no
8263support_8bitctrls=no 8263support_8bitctrls=no
8264support_iso14755=no 8264support_iso14755=no
8265support_styles=no
8265codesets= 8266codesets=
8266 8267
8267 8268
8268if test "x$enable_shared" = xyes; then 8269if test "x$enable_shared" = xyes; then
8269 8270
8305 support_xft=yes 8306 support_xft=yes
8306 support_unicode3=yes 8307 support_unicode3=yes
8307 support_combining=yes 8308 support_combining=yes
8308 #support_8bitctrls=yes 8309 #support_8bitctrls=yes
8309 support_iso14755=yes 8310 support_iso14755=yes
8311 support_styles=yes
8310 codesets=all 8312 codesets=all
8311 fi 8313 fi
8312fi; 8314fi;
8313 8315
8314# Check whether --enable-unicode3 or --disable-unicode3 was given. 8316# Check whether --enable-unicode3 or --disable-unicode3 was given.
8315if test "${enable_unicode3+set}" = set; then 8317if test "${enable_unicode3+set}" = set; then
8316 enableval="$enable_unicode3" 8318 enableval="$enable_unicode3"
8317 if test x$enableval = xyes -o x$enableval = xno; then 8319 if test x$enableval = xyes -o x$enableval = xno; then
8318 support_unicode3=yes 8320 support_unicode3=$enableval
8319 fi 8321 fi
8320fi; 8322fi;
8321 8323
8322# Check whether --enable-combining or --disable-combining was given. 8324# Check whether --enable-combining or --disable-combining was given.
8323if test "${enable_combining+set}" = set; then 8325if test "${enable_combining+set}" = set; then
8324 enableval="$enable_combining" 8326 enableval="$enable_combining"
8325 if test x$enableval = xyes -o x$enableval = xno; then 8327 if test x$enableval = xyes -o x$enableval = xno; then
8326 support_combining=yes 8328 support_combining=$enableval
8327 fi 8329 fi
8328fi; 8330fi;
8329 8331
8330# Check whether --enable-xft or --disable-xft was given. 8332# Check whether --enable-xft or --disable-xft was given.
8331if test "${enable_xft+set}" = set; then 8333if test "${enable_xft+set}" = set; then
8332 enableval="$enable_xft" 8334 enableval="$enable_xft"
8333 if test x$enableval = xyes -o x$enableval = xno; then 8335 if test x$enableval = xyes -o x$enableval = xno; then
8334 support_xft=yes 8336 support_xft=$enableval
8337 fi
8338fi;
8339
8340# Check whether --enable-font-styles or --disable-font-styles was given.
8341if test "${enable_font_styles+set}" = set; then
8342 enableval="$enable_font_styles"
8343 if test x$enableval = xyes -o x$enableval = xno; then
8344 support_styles=$enableval
8335 fi 8345 fi
8336fi; 8346fi;
8337 8347
8338# Check whether --enable-utmp or --disable-utmp was given. 8348# Check whether --enable-utmp or --disable-utmp was given.
8339if test "${enable_utmp+set}" = set; then 8349if test "${enable_utmp+set}" = set; then
8520 8530
8521# Check whether --enable-8bitctrls or --disable-8bitctrls was given. 8531# Check whether --enable-8bitctrls or --disable-8bitctrls was given.
8522if test "${enable_8bitctrls+set}" = set; then 8532if test "${enable_8bitctrls+set}" = set; then
8523 enableval="$enable_8bitctrls" 8533 enableval="$enable_8bitctrls"
8524 if test x$enableval = xyes -o x$enableval = xno; then 8534 if test x$enableval = xyes -o x$enableval = xno; then
8525 support_8bitctrls=yes 8535 support_8bitctrls=$enableval
8526 fi 8536 fi
8527fi; 8537fi;
8528 8538
8529RESFALLBACK=Rxvt 8539RESFALLBACK=Rxvt
8530# Check whether --enable-fallback or --disable-fallback was given. 8540# Check whether --enable-fallback or --disable-fallback was given.
8576# Check whether --with-name or --without-name was given. 8586# Check whether --with-name or --without-name was given.
8577if test "${with_name+set}" = set; then 8587if test "${with_name+set}" = set; then
8578 withval="$with_name" 8588 withval="$with_name"
8579 RXVTNAME="$withval" 8589 RXVTNAME="$withval"
8580fi; 8590fi;
8591
8592cat >>confdefs.h <<_ACEOF
8593#define RXVTNAME "$RXVTNAME"
8594_ACEOF
8595
8581 8596
8582RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"` 8597RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"`
8583 8598
8584 8599
8585# Check whether --enable-strings or --disable-strings was given. 8600# Check whether --enable-strings or --disable-strings was given.
8693 enableval="$enable_smart_resize" 8708 enableval="$enable_smart_resize"
8694 if test x$enableval = xyes; then 8709 if test x$enableval = xyes; then
8695 8710
8696cat >>confdefs.h <<\_ACEOF 8711cat >>confdefs.h <<\_ACEOF
8697#define SMART_RESIZE 1 8712#define SMART_RESIZE 1
8698_ACEOF
8699
8700 fi
8701fi;
8702
8703# Check whether --enable-256-color or --disable-256-color was given.
8704if test "${enable_256_color+set}" = set; then
8705 enableval="$enable_256_color"
8706 if test x$enableval = xyes; then
8707
8708cat >>confdefs.h <<\_ACEOF
8709#define TTY_256COLOR 1
8710_ACEOF 8713_ACEOF
8711 8714
8712 fi 8715 fi
8713fi; 8716fi;
8714 8717
9088TBL=$ac_cv_path_TBL 9091TBL=$ac_cv_path_TBL
9089 9092
9090if test -n "$TBL"; then 9093if test -n "$TBL"; then
9091 echo "$as_me:$LINENO: result: $TBL" >&5 9094 echo "$as_me:$LINENO: result: $TBL" >&5
9092echo "${ECHO_T}$TBL" >&6 9095echo "${ECHO_T}$TBL" >&6
9096else
9097 echo "$as_me:$LINENO: result: no" >&5
9098echo "${ECHO_T}no" >&6
9099fi
9100
9101# Extract the first word of "tic", so it can be a program name with args.
9102set dummy tic; ac_word=$2
9103echo "$as_me:$LINENO: checking for $ac_word" >&5
9104echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
9105if test "${ac_cv_path_TIC+set}" = set; then
9106 echo $ECHO_N "(cached) $ECHO_C" >&6
9107else
9108 case $TIC in
9109 [\\/]* | ?:[\\/]*)
9110 ac_cv_path_TIC="$TIC" # Let the user override the test with a path.
9111 ;;
9112 *)
9113 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
9114for as_dir in $PATH
9115do
9116 IFS=$as_save_IFS
9117 test -z "$as_dir" && as_dir=.
9118 for ac_exec_ext in '' $ac_executable_extensions; do
9119 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
9120 ac_cv_path_TIC="$as_dir/$ac_word$ac_exec_ext"
9121 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
9122 break 2
9123 fi
9124done
9125done
9126
9127 ;;
9128esac
9129fi
9130TIC=$ac_cv_path_TIC
9131
9132if test -n "$TIC"; then
9133 echo "$as_me:$LINENO: result: $TIC" >&5
9134echo "${ECHO_T}$TIC" >&6
9093else 9135else
9094 echo "$as_me:$LINENO: result: no" >&5 9136 echo "$as_me:$LINENO: result: no" >&5
9095echo "${ECHO_T}no" >&6 9137echo "${ECHO_T}no" >&6
9096fi 9138fi
9097 9139
11738_ACEOF 11780_ACEOF
11739 11781
11740fi 11782fi
11741 11783
11742 11784
11743echo "$as_me:$LINENO: checking for char" >&5
11744echo $ECHO_N "checking for char... $ECHO_C" >&6
11745if test "${ac_cv_type_char+set}" = set; then
11746 echo $ECHO_N "(cached) $ECHO_C" >&6
11747else
11748 cat >conftest.$ac_ext <<_ACEOF
11749/* confdefs.h. */
11750_ACEOF
11751cat confdefs.h >>conftest.$ac_ext
11752cat >>conftest.$ac_ext <<_ACEOF
11753/* end confdefs.h. */
11754$ac_includes_default
11755int
11756main ()
11757{
11758if ((char *) 0)
11759 return 0;
11760if (sizeof (char))
11761 return 0;
11762 ;
11763 return 0;
11764}
11765_ACEOF
11766rm -f conftest.$ac_objext
11767if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11768 (eval $ac_compile) 2>conftest.er1
11769 ac_status=$?
11770 grep -v '^ *+' conftest.er1 >conftest.err
11771 rm -f conftest.er1
11772 cat conftest.err >&5
11773 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11774 (exit $ac_status); } &&
11775 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11776 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11777 (eval $ac_try) 2>&5
11778 ac_status=$?
11779 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11780 (exit $ac_status); }; } &&
11781 { ac_try='test -s conftest.$ac_objext'
11782 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11783 (eval $ac_try) 2>&5
11784 ac_status=$?
11785 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11786 (exit $ac_status); }; }; then
11787 ac_cv_type_char=yes
11788else
11789 echo "$as_me: failed program was:" >&5
11790sed 's/^/| /' conftest.$ac_ext >&5
11791
11792ac_cv_type_char=no
11793fi
11794rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11795fi
11796echo "$as_me:$LINENO: result: $ac_cv_type_char" >&5
11797echo "${ECHO_T}$ac_cv_type_char" >&6
11798
11799echo "$as_me:$LINENO: checking size of char" >&5
11800echo $ECHO_N "checking size of char... $ECHO_C" >&6
11801if test "${ac_cv_sizeof_char+set}" = set; then
11802 echo $ECHO_N "(cached) $ECHO_C" >&6
11803else
11804 if test "$ac_cv_type_char" = yes; then
11805 # The cast to unsigned long works around a bug in the HP C Compiler
11806 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
11807 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
11808 # This bug is HP SR number 8606223364.
11809 if test "$cross_compiling" = yes; then
11810 # Depending upon the size, compute the lo and hi bounds.
11811cat >conftest.$ac_ext <<_ACEOF
11812/* confdefs.h. */
11813_ACEOF
11814cat confdefs.h >>conftest.$ac_ext
11815cat >>conftest.$ac_ext <<_ACEOF
11816/* end confdefs.h. */
11817$ac_includes_default
11818int
11819main ()
11820{
11821static int test_array [1 - 2 * !(((long) (sizeof (char))) >= 0)];
11822test_array [0] = 0
11823
11824 ;
11825 return 0;
11826}
11827_ACEOF
11828rm -f conftest.$ac_objext
11829if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11830 (eval $ac_compile) 2>conftest.er1
11831 ac_status=$?
11832 grep -v '^ *+' conftest.er1 >conftest.err
11833 rm -f conftest.er1
11834 cat conftest.err >&5
11835 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11836 (exit $ac_status); } &&
11837 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11838 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11839 (eval $ac_try) 2>&5
11840 ac_status=$?
11841 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11842 (exit $ac_status); }; } &&
11843 { ac_try='test -s conftest.$ac_objext'
11844 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11845 (eval $ac_try) 2>&5
11846 ac_status=$?
11847 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11848 (exit $ac_status); }; }; then
11849 ac_lo=0 ac_mid=0
11850 while :; do
11851 cat >conftest.$ac_ext <<_ACEOF
11852/* confdefs.h. */
11853_ACEOF
11854cat confdefs.h >>conftest.$ac_ext
11855cat >>conftest.$ac_ext <<_ACEOF
11856/* end confdefs.h. */
11857$ac_includes_default
11858int
11859main ()
11860{
11861static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
11862test_array [0] = 0
11863
11864 ;
11865 return 0;
11866}
11867_ACEOF
11868rm -f conftest.$ac_objext
11869if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11870 (eval $ac_compile) 2>conftest.er1
11871 ac_status=$?
11872 grep -v '^ *+' conftest.er1 >conftest.err
11873 rm -f conftest.er1
11874 cat conftest.err >&5
11875 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11876 (exit $ac_status); } &&
11877 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11878 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11879 (eval $ac_try) 2>&5
11880 ac_status=$?
11881 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11882 (exit $ac_status); }; } &&
11883 { ac_try='test -s conftest.$ac_objext'
11884 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11885 (eval $ac_try) 2>&5
11886 ac_status=$?
11887 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11888 (exit $ac_status); }; }; then
11889 ac_hi=$ac_mid; break
11890else
11891 echo "$as_me: failed program was:" >&5
11892sed 's/^/| /' conftest.$ac_ext >&5
11893
11894ac_lo=`expr $ac_mid + 1`
11895 if test $ac_lo -le $ac_mid; then
11896 ac_lo= ac_hi=
11897 break
11898 fi
11899 ac_mid=`expr 2 '*' $ac_mid + 1`
11900fi
11901rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11902 done
11903else
11904 echo "$as_me: failed program was:" >&5
11905sed 's/^/| /' conftest.$ac_ext >&5
11906
11907cat >conftest.$ac_ext <<_ACEOF
11908/* confdefs.h. */
11909_ACEOF
11910cat confdefs.h >>conftest.$ac_ext
11911cat >>conftest.$ac_ext <<_ACEOF
11912/* end confdefs.h. */
11913$ac_includes_default
11914int
11915main ()
11916{
11917static int test_array [1 - 2 * !(((long) (sizeof (char))) < 0)];
11918test_array [0] = 0
11919
11920 ;
11921 return 0;
11922}
11923_ACEOF
11924rm -f conftest.$ac_objext
11925if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11926 (eval $ac_compile) 2>conftest.er1
11927 ac_status=$?
11928 grep -v '^ *+' conftest.er1 >conftest.err
11929 rm -f conftest.er1
11930 cat conftest.err >&5
11931 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11932 (exit $ac_status); } &&
11933 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11934 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11935 (eval $ac_try) 2>&5
11936 ac_status=$?
11937 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11938 (exit $ac_status); }; } &&
11939 { ac_try='test -s conftest.$ac_objext'
11940 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11941 (eval $ac_try) 2>&5
11942 ac_status=$?
11943 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11944 (exit $ac_status); }; }; then
11945 ac_hi=-1 ac_mid=-1
11946 while :; do
11947 cat >conftest.$ac_ext <<_ACEOF
11948/* confdefs.h. */
11949_ACEOF
11950cat confdefs.h >>conftest.$ac_ext
11951cat >>conftest.$ac_ext <<_ACEOF
11952/* end confdefs.h. */
11953$ac_includes_default
11954int
11955main ()
11956{
11957static int test_array [1 - 2 * !(((long) (sizeof (char))) >= $ac_mid)];
11958test_array [0] = 0
11959
11960 ;
11961 return 0;
11962}
11963_ACEOF
11964rm -f conftest.$ac_objext
11965if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11966 (eval $ac_compile) 2>conftest.er1
11967 ac_status=$?
11968 grep -v '^ *+' conftest.er1 >conftest.err
11969 rm -f conftest.er1
11970 cat conftest.err >&5
11971 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11972 (exit $ac_status); } &&
11973 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11974 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11975 (eval $ac_try) 2>&5
11976 ac_status=$?
11977 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11978 (exit $ac_status); }; } &&
11979 { ac_try='test -s conftest.$ac_objext'
11980 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11981 (eval $ac_try) 2>&5
11982 ac_status=$?
11983 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11984 (exit $ac_status); }; }; then
11985 ac_lo=$ac_mid; break
11986else
11987 echo "$as_me: failed program was:" >&5
11988sed 's/^/| /' conftest.$ac_ext >&5
11989
11990ac_hi=`expr '(' $ac_mid ')' - 1`
11991 if test $ac_mid -le $ac_hi; then
11992 ac_lo= ac_hi=
11993 break
11994 fi
11995 ac_mid=`expr 2 '*' $ac_mid`
11996fi
11997rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11998 done
11999else
12000 echo "$as_me: failed program was:" >&5
12001sed 's/^/| /' conftest.$ac_ext >&5
12002
12003ac_lo= ac_hi=
12004fi
12005rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12006fi
12007rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12008# Binary search between lo and hi bounds.
12009while test "x$ac_lo" != "x$ac_hi"; do
12010 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
12011 cat >conftest.$ac_ext <<_ACEOF
12012/* confdefs.h. */
12013_ACEOF
12014cat confdefs.h >>conftest.$ac_ext
12015cat >>conftest.$ac_ext <<_ACEOF
12016/* end confdefs.h. */
12017$ac_includes_default
12018int
12019main ()
12020{
12021static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
12022test_array [0] = 0
12023
12024 ;
12025 return 0;
12026}
12027_ACEOF
12028rm -f conftest.$ac_objext
12029if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12030 (eval $ac_compile) 2>conftest.er1
12031 ac_status=$?
12032 grep -v '^ *+' conftest.er1 >conftest.err
12033 rm -f conftest.er1
12034 cat conftest.err >&5
12035 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12036 (exit $ac_status); } &&
12037 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12038 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12039 (eval $ac_try) 2>&5
12040 ac_status=$?
12041 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12042 (exit $ac_status); }; } &&
12043 { ac_try='test -s conftest.$ac_objext'
12044 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12045 (eval $ac_try) 2>&5
12046 ac_status=$?
12047 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12048 (exit $ac_status); }; }; then
12049 ac_hi=$ac_mid
12050else
12051 echo "$as_me: failed program was:" >&5
12052sed 's/^/| /' conftest.$ac_ext >&5
12053
12054ac_lo=`expr '(' $ac_mid ')' + 1`
12055fi
12056rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12057done
12058case $ac_lo in
12059?*) ac_cv_sizeof_char=$ac_lo;;
12060'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12061See \`config.log' for more details." >&5
12062echo "$as_me: error: cannot compute sizeof (char), 77
12063See \`config.log' for more details." >&2;}
12064 { (exit 1); exit 1; }; } ;;
12065esac
12066else
12067 if test "$cross_compiling" = yes; then
12068 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
12069echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
12070 { (exit 1); exit 1; }; }
12071else
12072 cat >conftest.$ac_ext <<_ACEOF
12073/* confdefs.h. */
12074_ACEOF
12075cat confdefs.h >>conftest.$ac_ext
12076cat >>conftest.$ac_ext <<_ACEOF
12077/* end confdefs.h. */
12078$ac_includes_default
12079long longval () { return (long) (sizeof (char)); }
12080unsigned long ulongval () { return (long) (sizeof (char)); }
12081#include <stdio.h>
12082#include <stdlib.h>
12083int
12084main ()
12085{
12086
12087 FILE *f = fopen ("conftest.val", "w");
12088 if (! f)
12089 exit (1);
12090 if (((long) (sizeof (char))) < 0)
12091 {
12092 long i = longval ();
12093 if (i != ((long) (sizeof (char))))
12094 exit (1);
12095 fprintf (f, "%ld\n", i);
12096 }
12097 else
12098 {
12099 unsigned long i = ulongval ();
12100 if (i != ((long) (sizeof (char))))
12101 exit (1);
12102 fprintf (f, "%lu\n", i);
12103 }
12104 exit (ferror (f) || fclose (f) != 0);
12105
12106 ;
12107 return 0;
12108}
12109_ACEOF
12110rm -f conftest$ac_exeext
12111if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12112 (eval $ac_link) 2>&5
12113 ac_status=$?
12114 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12115 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12116 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12117 (eval $ac_try) 2>&5
12118 ac_status=$?
12119 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12120 (exit $ac_status); }; }; then
12121 ac_cv_sizeof_char=`cat conftest.val`
12122else
12123 echo "$as_me: program exited with status $ac_status" >&5
12124echo "$as_me: failed program was:" >&5
12125sed 's/^/| /' conftest.$ac_ext >&5
12126
12127( exit $ac_status )
12128{ { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12129See \`config.log' for more details." >&5
12130echo "$as_me: error: cannot compute sizeof (char), 77
12131See \`config.log' for more details." >&2;}
12132 { (exit 1); exit 1; }; }
12133fi
12134rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12135fi
12136fi
12137rm -f conftest.val
12138else
12139 ac_cv_sizeof_char=0
12140fi
12141fi
12142echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
12143echo "${ECHO_T}$ac_cv_sizeof_char" >&6
12144cat >>confdefs.h <<_ACEOF
12145#define SIZEOF_CHAR $ac_cv_sizeof_char
12146_ACEOF
12147
12148
12149echo "$as_me:$LINENO: checking for short" >&5 11785echo "$as_me:$LINENO: checking for short" >&5
12150echo $ECHO_N "checking for short... $ECHO_C" >&6 11786echo $ECHO_N "checking for short... $ECHO_C" >&6
12151if test "${ac_cv_type_short+set}" = set; then 11787if test "${ac_cv_type_short+set}" = set; then
12152 echo $ECHO_N "(cached) $ECHO_C" >&6 11788 echo $ECHO_N "(cached) $ECHO_C" >&6
12153else 11789else
12953fi 12589fi
12954echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5 12590echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
12955echo "${ECHO_T}$ac_cv_sizeof_int" >&6 12591echo "${ECHO_T}$ac_cv_sizeof_int" >&6
12956cat >>confdefs.h <<_ACEOF 12592cat >>confdefs.h <<_ACEOF
12957#define SIZEOF_INT $ac_cv_sizeof_int 12593#define SIZEOF_INT $ac_cv_sizeof_int
12958_ACEOF
12959
12960
12961echo "$as_me:$LINENO: checking for long" >&5
12962echo $ECHO_N "checking for long... $ECHO_C" >&6
12963if test "${ac_cv_type_long+set}" = set; then
12964 echo $ECHO_N "(cached) $ECHO_C" >&6
12965else
12966 cat >conftest.$ac_ext <<_ACEOF
12967/* confdefs.h. */
12968_ACEOF
12969cat confdefs.h >>conftest.$ac_ext
12970cat >>conftest.$ac_ext <<_ACEOF
12971/* end confdefs.h. */
12972$ac_includes_default
12973int
12974main ()
12975{
12976if ((long *) 0)
12977 return 0;
12978if (sizeof (long))
12979 return 0;
12980 ;
12981 return 0;
12982}
12983_ACEOF
12984rm -f conftest.$ac_objext
12985if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12986 (eval $ac_compile) 2>conftest.er1
12987 ac_status=$?
12988 grep -v '^ *+' conftest.er1 >conftest.err
12989 rm -f conftest.er1
12990 cat conftest.err >&5
12991 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12992 (exit $ac_status); } &&
12993 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12994 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12995 (eval $ac_try) 2>&5
12996 ac_status=$?
12997 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12998 (exit $ac_status); }; } &&
12999 { ac_try='test -s conftest.$ac_objext'
13000 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13001 (eval $ac_try) 2>&5
13002 ac_status=$?
13003 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13004 (exit $ac_status); }; }; then
13005 ac_cv_type_long=yes
13006else
13007 echo "$as_me: failed program was:" >&5
13008sed 's/^/| /' conftest.$ac_ext >&5
13009
13010ac_cv_type_long=no
13011fi
13012rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13013fi
13014echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
13015echo "${ECHO_T}$ac_cv_type_long" >&6
13016
13017echo "$as_me:$LINENO: checking size of long" >&5
13018echo $ECHO_N "checking size of long... $ECHO_C" >&6
13019if test "${ac_cv_sizeof_long+set}" = set; then
13020 echo $ECHO_N "(cached) $ECHO_C" >&6
13021else
13022 if test "$ac_cv_type_long" = yes; then
13023 # The cast to unsigned long works around a bug in the HP C Compiler
13024 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
13025 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
13026 # This bug is HP SR number 8606223364.
13027 if test "$cross_compiling" = yes; then
13028 # Depending upon the size, compute the lo and hi bounds.
13029cat >conftest.$ac_ext <<_ACEOF
13030/* confdefs.h. */
13031_ACEOF
13032cat confdefs.h >>conftest.$ac_ext
13033cat >>conftest.$ac_ext <<_ACEOF
13034/* end confdefs.h. */
13035$ac_includes_default
13036int
13037main ()
13038{
13039static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
13040test_array [0] = 0
13041
13042 ;
13043 return 0;
13044}
13045_ACEOF
13046rm -f conftest.$ac_objext
13047if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13048 (eval $ac_compile) 2>conftest.er1
13049 ac_status=$?
13050 grep -v '^ *+' conftest.er1 >conftest.err
13051 rm -f conftest.er1
13052 cat conftest.err >&5
13053 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13054 (exit $ac_status); } &&
13055 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13056 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13057 (eval $ac_try) 2>&5
13058 ac_status=$?
13059 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13060 (exit $ac_status); }; } &&
13061 { ac_try='test -s conftest.$ac_objext'
13062 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13063 (eval $ac_try) 2>&5
13064 ac_status=$?
13065 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13066 (exit $ac_status); }; }; then
13067 ac_lo=0 ac_mid=0
13068 while :; do
13069 cat >conftest.$ac_ext <<_ACEOF
13070/* confdefs.h. */
13071_ACEOF
13072cat confdefs.h >>conftest.$ac_ext
13073cat >>conftest.$ac_ext <<_ACEOF
13074/* end confdefs.h. */
13075$ac_includes_default
13076int
13077main ()
13078{
13079static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13080test_array [0] = 0
13081
13082 ;
13083 return 0;
13084}
13085_ACEOF
13086rm -f conftest.$ac_objext
13087if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13088 (eval $ac_compile) 2>conftest.er1
13089 ac_status=$?
13090 grep -v '^ *+' conftest.er1 >conftest.err
13091 rm -f conftest.er1
13092 cat conftest.err >&5
13093 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13094 (exit $ac_status); } &&
13095 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13096 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13097 (eval $ac_try) 2>&5
13098 ac_status=$?
13099 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13100 (exit $ac_status); }; } &&
13101 { ac_try='test -s conftest.$ac_objext'
13102 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13103 (eval $ac_try) 2>&5
13104 ac_status=$?
13105 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13106 (exit $ac_status); }; }; then
13107 ac_hi=$ac_mid; break
13108else
13109 echo "$as_me: failed program was:" >&5
13110sed 's/^/| /' conftest.$ac_ext >&5
13111
13112ac_lo=`expr $ac_mid + 1`
13113 if test $ac_lo -le $ac_mid; then
13114 ac_lo= ac_hi=
13115 break
13116 fi
13117 ac_mid=`expr 2 '*' $ac_mid + 1`
13118fi
13119rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13120 done
13121else
13122 echo "$as_me: failed program was:" >&5
13123sed 's/^/| /' conftest.$ac_ext >&5
13124
13125cat >conftest.$ac_ext <<_ACEOF
13126/* confdefs.h. */
13127_ACEOF
13128cat confdefs.h >>conftest.$ac_ext
13129cat >>conftest.$ac_ext <<_ACEOF
13130/* end confdefs.h. */
13131$ac_includes_default
13132int
13133main ()
13134{
13135static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
13136test_array [0] = 0
13137
13138 ;
13139 return 0;
13140}
13141_ACEOF
13142rm -f conftest.$ac_objext
13143if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13144 (eval $ac_compile) 2>conftest.er1
13145 ac_status=$?
13146 grep -v '^ *+' conftest.er1 >conftest.err
13147 rm -f conftest.er1
13148 cat conftest.err >&5
13149 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13150 (exit $ac_status); } &&
13151 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13152 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13153 (eval $ac_try) 2>&5
13154 ac_status=$?
13155 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13156 (exit $ac_status); }; } &&
13157 { ac_try='test -s conftest.$ac_objext'
13158 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13159 (eval $ac_try) 2>&5
13160 ac_status=$?
13161 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13162 (exit $ac_status); }; }; then
13163 ac_hi=-1 ac_mid=-1
13164 while :; do
13165 cat >conftest.$ac_ext <<_ACEOF
13166/* confdefs.h. */
13167_ACEOF
13168cat confdefs.h >>conftest.$ac_ext
13169cat >>conftest.$ac_ext <<_ACEOF
13170/* end confdefs.h. */
13171$ac_includes_default
13172int
13173main ()
13174{
13175static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
13176test_array [0] = 0
13177
13178 ;
13179 return 0;
13180}
13181_ACEOF
13182rm -f conftest.$ac_objext
13183if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13184 (eval $ac_compile) 2>conftest.er1
13185 ac_status=$?
13186 grep -v '^ *+' conftest.er1 >conftest.err
13187 rm -f conftest.er1
13188 cat conftest.err >&5
13189 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13190 (exit $ac_status); } &&
13191 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13192 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13193 (eval $ac_try) 2>&5
13194 ac_status=$?
13195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13196 (exit $ac_status); }; } &&
13197 { ac_try='test -s conftest.$ac_objext'
13198 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13199 (eval $ac_try) 2>&5
13200 ac_status=$?
13201 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13202 (exit $ac_status); }; }; then
13203 ac_lo=$ac_mid; break
13204else
13205 echo "$as_me: failed program was:" >&5
13206sed 's/^/| /' conftest.$ac_ext >&5
13207
13208ac_hi=`expr '(' $ac_mid ')' - 1`
13209 if test $ac_mid -le $ac_hi; then
13210 ac_lo= ac_hi=
13211 break
13212 fi
13213 ac_mid=`expr 2 '*' $ac_mid`
13214fi
13215rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13216 done
13217else
13218 echo "$as_me: failed program was:" >&5
13219sed 's/^/| /' conftest.$ac_ext >&5
13220
13221ac_lo= ac_hi=
13222fi
13223rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13224fi
13225rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13226# Binary search between lo and hi bounds.
13227while test "x$ac_lo" != "x$ac_hi"; do
13228 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
13229 cat >conftest.$ac_ext <<_ACEOF
13230/* confdefs.h. */
13231_ACEOF
13232cat confdefs.h >>conftest.$ac_ext
13233cat >>conftest.$ac_ext <<_ACEOF
13234/* end confdefs.h. */
13235$ac_includes_default
13236int
13237main ()
13238{
13239static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13240test_array [0] = 0
13241
13242 ;
13243 return 0;
13244}
13245_ACEOF
13246rm -f conftest.$ac_objext
13247if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13248 (eval $ac_compile) 2>conftest.er1
13249 ac_status=$?
13250 grep -v '^ *+' conftest.er1 >conftest.err
13251 rm -f conftest.er1
13252 cat conftest.err >&5
13253 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13254 (exit $ac_status); } &&
13255 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13256 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13257 (eval $ac_try) 2>&5
13258 ac_status=$?
13259 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13260 (exit $ac_status); }; } &&
13261 { ac_try='test -s conftest.$ac_objext'
13262 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13263 (eval $ac_try) 2>&5
13264 ac_status=$?
13265 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13266 (exit $ac_status); }; }; then
13267 ac_hi=$ac_mid
13268else
13269 echo "$as_me: failed program was:" >&5
13270sed 's/^/| /' conftest.$ac_ext >&5
13271
13272ac_lo=`expr '(' $ac_mid ')' + 1`
13273fi
13274rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13275done
13276case $ac_lo in
13277?*) ac_cv_sizeof_long=$ac_lo;;
13278'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13279See \`config.log' for more details." >&5
13280echo "$as_me: error: cannot compute sizeof (long), 77
13281See \`config.log' for more details." >&2;}
13282 { (exit 1); exit 1; }; } ;;
13283esac
13284else
13285 if test "$cross_compiling" = yes; then
13286 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
13287echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
13288 { (exit 1); exit 1; }; }
13289else
13290 cat >conftest.$ac_ext <<_ACEOF
13291/* confdefs.h. */
13292_ACEOF
13293cat confdefs.h >>conftest.$ac_ext
13294cat >>conftest.$ac_ext <<_ACEOF
13295/* end confdefs.h. */
13296$ac_includes_default
13297long longval () { return (long) (sizeof (long)); }
13298unsigned long ulongval () { return (long) (sizeof (long)); }
13299#include <stdio.h>
13300#include <stdlib.h>
13301int
13302main ()
13303{
13304
13305 FILE *f = fopen ("conftest.val", "w");
13306 if (! f)
13307 exit (1);
13308 if (((long) (sizeof (long))) < 0)
13309 {
13310 long i = longval ();
13311 if (i != ((long) (sizeof (long))))
13312 exit (1);
13313 fprintf (f, "%ld\n", i);
13314 }
13315 else
13316 {
13317 unsigned long i = ulongval ();
13318 if (i != ((long) (sizeof (long))))
13319 exit (1);
13320 fprintf (f, "%lu\n", i);
13321 }
13322 exit (ferror (f) || fclose (f) != 0);
13323
13324 ;
13325 return 0;
13326}
13327_ACEOF
13328rm -f conftest$ac_exeext
13329if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13330 (eval $ac_link) 2>&5
13331 ac_status=$?
13332 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13333 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
13334 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13335 (eval $ac_try) 2>&5
13336 ac_status=$?
13337 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13338 (exit $ac_status); }; }; then
13339 ac_cv_sizeof_long=`cat conftest.val`
13340else
13341 echo "$as_me: program exited with status $ac_status" >&5
13342echo "$as_me: failed program was:" >&5
13343sed 's/^/| /' conftest.$ac_ext >&5
13344
13345( exit $ac_status )
13346{ { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13347See \`config.log' for more details." >&5
13348echo "$as_me: error: cannot compute sizeof (long), 77
13349See \`config.log' for more details." >&2;}
13350 { (exit 1); exit 1; }; }
13351fi
13352rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
13353fi
13354fi
13355rm -f conftest.val
13356else
13357 ac_cv_sizeof_long=0
13358fi
13359fi
13360echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
13361echo "${ECHO_T}$ac_cv_sizeof_long" >&6
13362cat >>confdefs.h <<_ACEOF
13363#define SIZEOF_LONG $ac_cv_sizeof_long
13364_ACEOF 12594_ACEOF
13365 12595
13366 12596
13367echo "$as_me:$LINENO: checking for long long" >&5 12597echo "$as_me:$LINENO: checking for long long" >&5
13368echo $ECHO_N "checking for long long... $ECHO_C" >&6 12598echo $ECHO_N "checking for long long... $ECHO_C" >&6
16457#define PTYCHAR2 "$pch2" 15687#define PTYCHAR2 "$pch2"
16458_ACEOF 15688_ACEOF
16459 15689
16460fi 15690fi
16461 15691
16462if test x$support_iso14755 = xyes; then
16463
16464cat >>confdefs.h <<\_ACEOF
16465#define ISO_14755 1
16466_ACEOF
16467
16468fi
16469if test x$support_8bitctrls = xyes; then
16470
16471cat >>confdefs.h <<\_ACEOF
16472#define EIGHT_BIT_CONTROLS 1
16473_ACEOF
16474
16475fi
16476if test x$support_fading = xyes; then
16477
16478cat >>confdefs.h <<\_ACEOF
16479#define OFF_FOCUS_FADING 1
16480_ACEOF
16481
16482fi
16483if test x$support_tinting = xyes; then
16484
16485cat >>confdefs.h <<\_ACEOF
16486#define TINTING 1
16487_ACEOF
16488
16489fi
16490if test x$support_inheritpixmap = xyes; then
16491
16492cat >>confdefs.h <<\_ACEOF
16493#define TRANSPARENT 1
16494_ACEOF
16495
16496fi
16497if test x$support_keepscrolling = xno; then
16498
16499cat >>confdefs.h <<\_ACEOF
16500#define NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING 1
16501_ACEOF
16502
16503fi
16504if test x$support_selectionscrolling = xyes; then
16505
16506cat >>confdefs.h <<\_ACEOF
16507#define SELECTION_SCROLLING 1
16508_ACEOF
16509
16510fi
16511if test x$support_menubar = xyes; then
16512
16513cat >>confdefs.h <<\_ACEOF
16514#define MENUBAR 1
16515_ACEOF
16516
16517fi
16518if test x$support_frills = xyes; then
16519
16520cat >>confdefs.h <<\_ACEOF
16521#define ENABLE_FRILLS 1
16522_ACEOF
16523
16524fi
16525if test x$support_linespace = xno; then
16526
16527cat >>confdefs.h <<\_ACEOF
16528#define NO_LINESPACE 1
16529_ACEOF
16530
16531fi
16532if test x$support_24bit = xyes; then
16533
16534cat >>confdefs.h <<\_ACEOF
16535#define PREFER_24BIT 1
16536_ACEOF
16537
16538fi
16539if test x$support_mousewheel = xyes; then
16540
16541cat >>confdefs.h <<\_ACEOF
16542#define MOUSE_WHEEL 1
16543_ACEOF
16544
16545fi
16546if test x$support_mouseslipwheel = xyes; then
16547
16548cat >>confdefs.h <<\_ACEOF
16549#define MOUSE_SLIP_WHEELING 1
16550_ACEOF
16551
16552fi
16553if test x$support_utmp = xyes; then
16554
16555cat >>confdefs.h <<\_ACEOF
16556#define UTMP_SUPPORT 1
16557_ACEOF
16558
16559fi
16560if test x$support_wtmp = xyes; then
16561
16562cat >>confdefs.h <<\_ACEOF
16563#define WTMP_SUPPORT 1
16564_ACEOF
16565
16566fi
16567if test x$support_lastlog = xyes; then
16568
16569cat >>confdefs.h <<\_ACEOF
16570#define LASTLOG_SUPPORT 1
16571_ACEOF
16572
16573fi
16574if test x$support_xim = xyes -o x$multichar_set = xyes; then
16575 if test x$rxvt_cv_func_xlocale = xyes; then
16576
16577cat >>confdefs.h <<\_ACEOF
16578#define USE_XIM 1
16579_ACEOF
16580
16581 fi
16582fi
16583if test x$support_xpm = xyes; then
16584
16585cat >>confdefs.h <<\_ACEOF
16586#define XPM_BACKGROUND 1
16587_ACEOF
16588
16589fi
16590if test x$support_scroll_rxvt = xyes; then
16591
16592cat >>confdefs.h <<\_ACEOF
16593#define RXVT_SCROLLBAR 1
16594_ACEOF
16595
16596 scrolltypes="rxvt"
16597fi
16598if test x$support_scroll_next = xyes; then
16599
16600cat >>confdefs.h <<\_ACEOF
16601#define NEXT_SCROLLBAR 1
16602_ACEOF
16603
16604 scrolltypes="$scrolltypes next"
16605fi
16606if test x$support_scroll_xterm = xyes; then
16607
16608cat >>confdefs.h <<\_ACEOF
16609#define XTERM_SCROLLBAR 1
16610_ACEOF
16611
16612 scrolltypes="$scrolltypes xterm"
16613fi
16614if test x$support_scroll_plain = xyes; then
16615
16616cat >>confdefs.h <<\_ACEOF
16617#define PLAIN_SCROLLBAR 1
16618_ACEOF
16619
16620 scrolltypes="$scrolltypes plain"
16621fi
16622if test x$support_pointer_blank = xyes; then
16623
16624cat >>confdefs.h <<\_ACEOF
16625#define POINTER_BLANK 1
16626_ACEOF
16627
16628fi
16629if test x$support_cursor_blink = xyes; then
16630
16631cat >>confdefs.h <<\_ACEOF
16632#define CURSOR_BLINK 1
16633_ACEOF
16634
16635fi
16636if test x$support_text_blink = xyes; then
16637
16638cat >>confdefs.h <<\_ACEOF
16639#define TEXT_BLINK 1
16640_ACEOF
16641
16642fi
16643if test x$support_unicode3 = xyes; then
16644
16645cat >>confdefs.h <<\_ACEOF
16646#define UNICODE_3 1
16647_ACEOF
16648
16649fi
16650if test x$support_combining = xyes; then
16651
16652cat >>confdefs.h <<\_ACEOF
16653#define ENABLE_COMBINING 1
16654_ACEOF
16655
16656fi
16657if test x$codesets = xall; then
16658 codesets=jp,jp-ext,kr,cn,cn-ext
16659fi
16660
16661cat >>confdefs.h <<\_ACEOF
16662#define ENCODING_EU 1
16663_ACEOF
16664
16665
16666cat >>confdefs.h <<\_ACEOF
16667#define ENCODING_VN 1
16668_ACEOF
16669
16670for codeset in `echo $codesets | tr "a-z,\\-" "A-Z _"`; do
16671 case "$codeset" in
16672 JP )
16673cat >>confdefs.h <<\_ACEOF
16674#define ENCODING_JP 1
16675_ACEOF
16676 ;;
16677 JP_EXT )
16678cat >>confdefs.h <<\_ACEOF
16679#define ENCODING_JP_EXT 1
16680_ACEOF
16681 ;;
16682 KR )
16683cat >>confdefs.h <<\_ACEOF
16684#define ENCODING_KR 1
16685_ACEOF
16686 ;;
16687 CN )
16688cat >>confdefs.h <<\_ACEOF
16689#define ENCODING_CN 1
16690_ACEOF
16691 ;;
16692 CN_EXT )
16693cat >>confdefs.h <<\_ACEOF
16694#define ENCODING_CN_EXT 1
16695_ACEOF
16696 ;;
16697 esac
16698done
16699
16700
16701CFLAGS=${CFLAGS--O}
16702LDFLAGS=${LDFLAGS--O}
16703
16704CPPFLAGS="$CPPFLAGS"
16705
16706
16707
16708
16709
16710
16711
16712if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
16713 DLIB=`echo $DLIB | sed "$R_TRANSLATE"`
16714 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
16715 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
16716 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
16717 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
16718fi
16719
16720
16721
16722
16723
16724if test x$support_addstrings = xno; then
16725
16726cat >>confdefs.h <<\_ACEOF
16727#define NO_STRINGS 1
16728_ACEOF
16729
16730fi
16731
16732MCOMMON=./autoconf/Make.common
16733
16734
16735test "$program_prefix" != NONE &&
16736 program_transform_name="s,^,$program_prefix,;$program_transform_name"
16737# Use a double $ so make ignores it.
16738test "$program_suffix" != NONE &&
16739 program_transform_name="s,\$,$program_suffix,;$program_transform_name"
16740# Double any \ or $. echo might interpret backslashes.
16741# By default was `s,x,x', remove it if useless.
16742cat <<\_ACEOF >conftest.sed
16743s/[\\$]/&&/g;s/;s,x,x,$//
16744_ACEOF
16745program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
16746rm conftest.sed
16747
16748
16749
16750
16751
16752if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
16753 include_stdint_h="#include <stdint.h>"
16754else
16755 include_stdint_h="/* #include <stdint.h> */"
16756fi
16757if test "$ac_cv_header_stdarg_h" = "yes" -o "$notset" = "dontmatch"; then
16758 include_stdarg_h="#include <cstdarg>"
16759else
16760 include_stdarg_h="/* #include <cstdarg> */"
16761fi
16762if test "$ac_cv_header_stdlib_h" = "yes" -o "$notset" = "dontmatch"; then
16763 include_stdlib_h="#include <cstdlib>"
16764else
16765 include_stdlib_h="/* #include <cstdlib> */"
16766fi
16767if test "$ac_cv_header_unistd_h" = "yes" -o "$notset" = "dontmatch"; then
16768 include_unistd_h="#include <unistd.h>"
16769else
16770 include_unistd_h="/* #include <unistd.h> */"
16771fi
16772if test "$ac_cv_header_string_h" = "yes" -o "$notset" = "dontmatch"; then
16773 include_string_h="#include <cstring>"
16774else
16775 include_string_h="/* #include <cstring> */"
16776fi
16777if test "$ac_cv_header_fcntl_h" = "yes" -o "$notset" = "dontmatch"; then
16778 include_fcntl_h="#include <fcntl.h>"
16779else
16780 include_fcntl_h="/* #include <fcntl.h> */"
16781fi
16782if test "$ac_cv_header_util_h" = "yes" -o "$notset" = "dontmatch"; then
16783 include_util_h="#include <util.h>"
16784else
16785 include_util_h="/* #include <util.h> */"
16786fi
16787if test "$ac_cv_header_assert_h" = "yes" -o "$notset" = "dontmatch"; then
16788 include_assert_h="#include <assert.h>"
16789else
16790 include_assert_h="/* #include <assert.h> */"
16791fi
16792if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
16793 include_sys_ioctl_h="#include <sys/ioctl.h>"
16794else
16795 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
16796fi
16797if test "$ac_cv_header_sys_select_h" = "yes" -o "$notset" = "dontmatch"; then
16798 include_sys_select_h="#include <sys/select.h>"
16799else
16800 include_sys_select_h="/* #include <sys/select.h> */"
16801fi
16802if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
16803 include_sys_strredir_h="#include <sys/strredir.h>"
16804else
16805 include_sys_strredir_h="/* #include <sys/strredir.h> */"
16806fi
16807if test "$ac_cv_header_sys_time_h" = "yes" -o "$notset" = "dontmatch"; then
16808 include_sys_time_h="#include <sys/time.h>"
16809else
16810 include_sys_time_h="/* #include <sys/time.h> */"
16811fi
16812if test "$ac_cv_header_sys_time_h" = "no" -o "$ac_cv_header_time" = "yes"; then
16813 include_time_h="#include <time.h>"
16814else
16815 include_time_h="/* #include <time.h> */"
16816fi
16817
16818if test x$support_xft = xyes; then 15692if test x$support_xft = xyes; then
16819 LIBS="$LIBS `pkg-config xft --libs`" 15693 LIBS="$LIBS `pkg-config xft --libs`"
16820 CFLAGS="$CFLAGS `pkg-config xft --cflags`" 15694 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
16821 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 15695 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
16822 15696
17052cat >>confdefs.h <<\_ACEOF 15926cat >>confdefs.h <<\_ACEOF
17053#define XFT 1 15927#define XFT 1
17054_ACEOF 15928_ACEOF
17055 15929
17056 fi 15930 fi
15931fi
15932if test x$support_styles = xyes; then
15933
15934cat >>confdefs.h <<\_ACEOF
15935#define ENABLE_STYLES 1
15936_ACEOF
15937
15938fi
15939if test x$support_iso14755 = xyes; then
15940
15941cat >>confdefs.h <<\_ACEOF
15942#define ISO_14755 1
15943_ACEOF
15944
15945fi
15946if test x$support_8bitctrls = xyes; then
15947
15948cat >>confdefs.h <<\_ACEOF
15949#define EIGHT_BIT_CONTROLS 1
15950_ACEOF
15951
15952fi
15953if test x$support_fading = xyes; then
15954
15955cat >>confdefs.h <<\_ACEOF
15956#define OFF_FOCUS_FADING 1
15957_ACEOF
15958
15959fi
15960if test x$support_tinting = xyes; then
15961
15962cat >>confdefs.h <<\_ACEOF
15963#define TINTING 1
15964_ACEOF
15965
15966fi
15967if test x$support_inheritpixmap = xyes; then
15968
15969cat >>confdefs.h <<\_ACEOF
15970#define TRANSPARENT 1
15971_ACEOF
15972
15973fi
15974if test x$support_keepscrolling = xno; then
15975
15976cat >>confdefs.h <<\_ACEOF
15977#define NO_SCROLLBAR_BUTTON_CONTINUAL_SCROLLING 1
15978_ACEOF
15979
15980fi
15981if test x$support_selectionscrolling = xyes; then
15982
15983cat >>confdefs.h <<\_ACEOF
15984#define SELECTION_SCROLLING 1
15985_ACEOF
15986
15987fi
15988if test x$support_menubar = xyes; then
15989
15990cat >>confdefs.h <<\_ACEOF
15991#define MENUBAR 1
15992_ACEOF
15993
15994fi
15995if test x$support_frills = xyes; then
15996
15997cat >>confdefs.h <<\_ACEOF
15998#define ENABLE_FRILLS 1
15999_ACEOF
16000
16001fi
16002if test x$support_linespace = xno; then
16003
16004cat >>confdefs.h <<\_ACEOF
16005#define NO_LINESPACE 1
16006_ACEOF
16007
16008fi
16009if test x$support_24bit = xyes; then
16010
16011cat >>confdefs.h <<\_ACEOF
16012#define PREFER_24BIT 1
16013_ACEOF
16014
16015fi
16016if test x$support_mousewheel = xyes; then
16017
16018cat >>confdefs.h <<\_ACEOF
16019#define MOUSE_WHEEL 1
16020_ACEOF
16021
16022fi
16023if test x$support_mouseslipwheel = xyes; then
16024
16025cat >>confdefs.h <<\_ACEOF
16026#define MOUSE_SLIP_WHEELING 1
16027_ACEOF
16028
16029fi
16030if test x$support_utmp = xyes; then
16031
16032cat >>confdefs.h <<\_ACEOF
16033#define UTMP_SUPPORT 1
16034_ACEOF
16035
16036fi
16037if test x$support_wtmp = xyes; then
16038
16039cat >>confdefs.h <<\_ACEOF
16040#define WTMP_SUPPORT 1
16041_ACEOF
16042
16043fi
16044if test x$support_lastlog = xyes; then
16045
16046cat >>confdefs.h <<\_ACEOF
16047#define LASTLOG_SUPPORT 1
16048_ACEOF
16049
16050fi
16051if test x$support_xim = xyes -o x$multichar_set = xyes; then
16052 if test x$rxvt_cv_func_xlocale = xyes; then
16053
16054cat >>confdefs.h <<\_ACEOF
16055#define USE_XIM 1
16056_ACEOF
16057
16058 fi
16059fi
16060if test x$support_xpm = xyes; then
16061
16062cat >>confdefs.h <<\_ACEOF
16063#define XPM_BACKGROUND 1
16064_ACEOF
16065
16066fi
16067if test x$support_scroll_rxvt = xyes; then
16068
16069cat >>confdefs.h <<\_ACEOF
16070#define RXVT_SCROLLBAR 1
16071_ACEOF
16072
16073 scrolltypes="rxvt"
16074fi
16075if test x$support_scroll_next = xyes; then
16076
16077cat >>confdefs.h <<\_ACEOF
16078#define NEXT_SCROLLBAR 1
16079_ACEOF
16080
16081 scrolltypes="$scrolltypes next"
16082fi
16083if test x$support_scroll_xterm = xyes; then
16084
16085cat >>confdefs.h <<\_ACEOF
16086#define XTERM_SCROLLBAR 1
16087_ACEOF
16088
16089 scrolltypes="$scrolltypes xterm"
16090fi
16091if test x$support_scroll_plain = xyes; then
16092
16093cat >>confdefs.h <<\_ACEOF
16094#define PLAIN_SCROLLBAR 1
16095_ACEOF
16096
16097 scrolltypes="$scrolltypes plain"
16098fi
16099if test x$support_pointer_blank = xyes; then
16100
16101cat >>confdefs.h <<\_ACEOF
16102#define POINTER_BLANK 1
16103_ACEOF
16104
16105fi
16106if test x$support_cursor_blink = xyes; then
16107
16108cat >>confdefs.h <<\_ACEOF
16109#define CURSOR_BLINK 1
16110_ACEOF
16111
16112fi
16113if test x$support_text_blink = xyes; then
16114
16115cat >>confdefs.h <<\_ACEOF
16116#define TEXT_BLINK 1
16117_ACEOF
16118
16119fi
16120if test x$support_unicode3 = xyes; then
16121
16122cat >>confdefs.h <<\_ACEOF
16123#define UNICODE_3 1
16124_ACEOF
16125
16126fi
16127if test x$support_combining = xyes; then
16128
16129cat >>confdefs.h <<\_ACEOF
16130#define ENABLE_COMBINING 1
16131_ACEOF
16132
16133fi
16134if test x$codesets = xall; then
16135 codesets=jp,jp-ext,kr,zh,zh-ext
16136fi
16137
16138cat >>confdefs.h <<\_ACEOF
16139#define ENCODING_EU 1
16140_ACEOF
16141
16142
16143cat >>confdefs.h <<\_ACEOF
16144#define ENCODING_VN 1
16145_ACEOF
16146
16147for codeset in `echo $codesets | tr "a-z,\\-" "A-Z _"`; do
16148 case "$codeset" in
16149 JP )
16150cat >>confdefs.h <<\_ACEOF
16151#define ENCODING_JP 1
16152_ACEOF
16153 ;;
16154 JP_EXT )
16155cat >>confdefs.h <<\_ACEOF
16156#define ENCODING_JP_EXT 1
16157_ACEOF
16158 ;;
16159 KR )
16160cat >>confdefs.h <<\_ACEOF
16161#define ENCODING_KR 1
16162_ACEOF
16163 ;;
16164 ZH )
16165cat >>confdefs.h <<\_ACEOF
16166#define ENCODING_ZH 1
16167_ACEOF
16168 ;;
16169 ZH_EXT )
16170cat >>confdefs.h <<\_ACEOF
16171#define ENCODING_ZH_EXT 1
16172_ACEOF
16173 ;;
16174 esac
16175done
16176
16177
16178CFLAGS=${CFLAGS--O}
16179LDFLAGS=${LDFLAGS--O}
16180
16181CPPFLAGS="$CPPFLAGS"
16182
16183
16184
16185
16186
16187
16188
16189if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
16190 DLIB=`echo $DLIB | sed "$R_TRANSLATE"`
16191 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
16192 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
16193 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
16194 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
16195fi
16196
16197
16198
16199
16200
16201if test x$support_addstrings = xno; then
16202
16203cat >>confdefs.h <<\_ACEOF
16204#define NO_STRINGS 1
16205_ACEOF
16206
16207fi
16208
16209MCOMMON=./autoconf/Make.common
16210
16211
16212test "$program_prefix" != NONE &&
16213 program_transform_name="s,^,$program_prefix,;$program_transform_name"
16214# Use a double $ so make ignores it.
16215test "$program_suffix" != NONE &&
16216 program_transform_name="s,\$,$program_suffix,;$program_transform_name"
16217# Double any \ or $. echo might interpret backslashes.
16218# By default was `s,x,x', remove it if useless.
16219cat <<\_ACEOF >conftest.sed
16220s/[\\$]/&&/g;s/;s,x,x,$//
16221_ACEOF
16222program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
16223rm conftest.sed
16224
16225
16226
16227
16228
16229if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
16230 include_stdint_h="#include <stdint.h>"
16231else
16232 include_stdint_h="/* #include <stdint.h> */"
16233fi
16234if test "$ac_cv_header_stdarg_h" = "yes" -o "$notset" = "dontmatch"; then
16235 include_stdarg_h="#include <cstdarg>"
16236else
16237 include_stdarg_h="/* #include <cstdarg> */"
16238fi
16239if test "$ac_cv_header_stdlib_h" = "yes" -o "$notset" = "dontmatch"; then
16240 include_stdlib_h="#include <cstdlib>"
16241else
16242 include_stdlib_h="/* #include <cstdlib> */"
16243fi
16244if test "$ac_cv_header_unistd_h" = "yes" -o "$notset" = "dontmatch"; then
16245 include_unistd_h="#include <unistd.h>"
16246else
16247 include_unistd_h="/* #include <unistd.h> */"
16248fi
16249if test "$ac_cv_header_string_h" = "yes" -o "$notset" = "dontmatch"; then
16250 include_string_h="#include <cstring>"
16251else
16252 include_string_h="/* #include <cstring> */"
16253fi
16254if test "$ac_cv_header_fcntl_h" = "yes" -o "$notset" = "dontmatch"; then
16255 include_fcntl_h="#include <fcntl.h>"
16256else
16257 include_fcntl_h="/* #include <fcntl.h> */"
16258fi
16259if test "$ac_cv_header_util_h" = "yes" -o "$notset" = "dontmatch"; then
16260 include_util_h="#include <util.h>"
16261else
16262 include_util_h="/* #include <util.h> */"
16263fi
16264if test "$ac_cv_header_assert_h" = "yes" -o "$notset" = "dontmatch"; then
16265 include_assert_h="#include <assert.h>"
16266else
16267 include_assert_h="/* #include <assert.h> */"
16268fi
16269if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
16270 include_sys_ioctl_h="#include <sys/ioctl.h>"
16271else
16272 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
16273fi
16274if test "$ac_cv_header_sys_select_h" = "yes" -o "$notset" = "dontmatch"; then
16275 include_sys_select_h="#include <sys/select.h>"
16276else
16277 include_sys_select_h="/* #include <sys/select.h> */"
16278fi
16279if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
16280 include_sys_strredir_h="#include <sys/strredir.h>"
16281else
16282 include_sys_strredir_h="/* #include <sys/strredir.h> */"
16283fi
16284if test "$ac_cv_header_sys_time_h" = "yes" -o "$notset" = "dontmatch"; then
16285 include_sys_time_h="#include <sys/time.h>"
16286else
16287 include_sys_time_h="/* #include <sys/time.h> */"
16288fi
16289if test "$ac_cv_header_sys_time_h" = "no" -o "$ac_cv_header_time" = "yes"; then
16290 include_time_h="#include <time.h>"
16291else
16292 include_time_h="/* #include <time.h> */"
17057fi 16293fi
17058 16294
17059 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile" 16295 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile"
17060 16296
17061cat >confcache <<\_ACEOF 16297cat >confcache <<\_ACEOF
17719s,@CP@,$CP,;t t 16955s,@CP@,$CP,;t t
17720s,@LN@,$LN,;t t 16956s,@LN@,$LN,;t t
17721s,@SED@,$SED,;t t 16957s,@SED@,$SED,;t t
17722s,@CMP@,$CMP,;t t 16958s,@CMP@,$CMP,;t t
17723s,@TBL@,$TBL,;t t 16959s,@TBL@,$TBL,;t t
16960s,@TIC@,$TIC,;t t
17724s,@X_CFLAGS@,$X_CFLAGS,;t t 16961s,@X_CFLAGS@,$X_CFLAGS,;t t
17725s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t 16962s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
17726s,@X_LIBS@,$X_LIBS,;t t 16963s,@X_LIBS@,$X_LIBS,;t t
17727s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 16964s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
17728s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t 16965s,@XPM_CPPFLAGS@,$XPM_CPPFLAGS,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines